import { HcApi } from '../../../../request/index'

//  项目支付项
export default {
   async getSyslist(form) {
    return HcApi({
        url: '/api/blade-meter/mid/pay/item/system/list',
            method: 'post',
            params: form,
        })
   },
    //项目中期支付项引用系统级数据
    async referenced(form) {
        return HcApi({
            url: '/api/blade-meter/mid/pay/item/project/referenced',
            method: 'post',
            params: form,
        }, false)
     },
         //项目中期支付项分页
    async getProListPage(form) {
        return HcApi({
            url: '/api/blade-meter/mid/pay/item/project/page',
            method: 'post',
            data: form,
        })
     },
     //项目中期支付项详情
    async getProDetail(form) {
        return HcApi({
            url: '/api//blade-meter/mid/pay/item/project/detail',
            method: 'get',
            params: form,
        })
    },
    //项目中期支付项修改
    async updateProList(form) {
        return HcApi({
            url: '/api/blade-meter/mid/pay/item/project/update',
            method: 'post',
            data: form,
        }, false)
     },
     //项目中期支付项删除
    async removeProList(form) {
        return HcApi({
            url: '/api/blade-meter/mid/pay/item/project/remove',
            method: 'get',
            params: form,
        })
    },
    //项目中期支付项列表
    async getProPayList(form) {
        return HcApi({
                url: '/api/blade-meter/mid/pay/item/project/list',
                method: 'post',
                params: form,
            })
    },
     //中期支付项添加汇总项
     async addCollect(form) {
        return HcApi({
                url: '/api/blade-meter/mid/pay/item/bind/submit',
                method: 'post',
                params: form,
            }, false)
    },
    //中期支付项删除汇总项
    async removeCollect(form) {
        return HcApi({
                url: '/api/blade-meter/mid/pay/item/bind/remove',
                method: 'post',
                params: form,
            }, false)
    },

}
